Subject: [SIP] Bye-Also Draft ?

From: "Sharath Rajasekar" <[email-masked]>
Date: Sat, 24 Feb 2001 13:08:19 -0800

Hi,

Can anyone tell me how I can get hold of the Bye-Also draft for
transfers. I could not find it in the IETF Draft Repository.

Thanks
Sharath

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]]
Sent: Saturday, February 24, 2001 6:01 AM
To: Jean-Francois Mule
Cc: 'Flemming Andreasen'; 'Culpepper, Bert'; [email-masked];
[email-masked]
Subject: Re: [SIP] T.38 - to add fax stream or to replace voice stream

Hi,

Jean-Francois Mule wrote:
> 
>Thanks for the comments.
> 
>Flemming Andreasen wrote:
>>Fundamentally, I don't understand why you view this as two
>>separate media
>>streams. You are muting one when you want to use the other,
>>so why have two in
>>the first place ? Also note, that there may be some undesirable QoS
>>interactions that way.
>
>Christer Holmberg pointed earlier that T.38 suggests to add the fax channel
>to the voice stream and to mute the voice stream.

Just to clarify: it's not T.38 that suggests this, it is the node (e.g.
gateway) that detects
the fax that may suggest this :)

>The only reference I found in T.38 Annex D (TD0262rev1), section 2.2.4
>states:
>"Note that during this switch over and the facsimile call, it may be useful
>to mute the voice channel.  The voice channel may be used again once the
end
>of facsimile transmission is detected."
>=> this implies that T.38 annex D recommends both streams in the same
>session.
> 
>As I've pointed out earlier - and this is what was shown in the current
>draft, I also prefer to replace the voice by a fax channel for the same DSP
>resource consumption reasons.  BTW, this "replacement" does not prevent the
>session to return to voice mode after the fax is over (re-INVITE with audio
>sdp).

There may some issues here, especially if you have a PSTN gateway. If
you do this, you basically want to create a new connection on the
endpoint. And, since you already have a connection there this won't
work. Ok, of course your gateway can be smart enough to handle this, but
- again - there probably would be some interop issues...

Regards,

Christer Holmberg
Ericsson Finland

> 
> To keep everyone happy, I've updated the draft to accomodate both
scenarios
> and message details with proper SDP descriptions.
> 
> Flemming Andreasen wrote:
> > A couple of more specific comments on the current draft, some
> > of which you may have already gotten:
> > - T.30 CED is the same as as V.25 ANS and hence cannot be
> > used as a fax detection mechanism (the V.21 fax preamble is fine).
> got it, thanks.
> corrected - this was also noted in H.248/megaco Annex F
> 
> Flemming Andreasen wrote:
> > - Why must CNG tone detection not lead to a switch to T.38 ?
> it could but my understanding is that CNG is optional so to limit the
number
> of cases we selected the Preamble sequence.  Also, because of the
potential
> glare effect, we decided to mandate for the Preamble detection...
> Do you have any comments to improve the text there?
> 
> > - SIP call flow should probably include a Contact header
> > resulting in some of
> > your messages (e.g. ACK) going end-to-end rather than through
> > the proxy).
> why is that useful in the sip t.38 case?
> fyi, a record-route header line has been added to enforce the route
through
> proxy.
> 
> > - Section 4.1 mentions that different UDP ports are to be
> > used where as Section
> > 6.2 lists that as open issue. I agree with Section 6.2 and
> > would leave that choice to the gateways.
> ok, I'll make a more affirmative statement.  We've run across both cases
> here too and this has not been caused any interop issue so far.

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementor's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to 
[email-masked] with "subscribe" in the body.

---

From: Robert Sparks <[email-masked]>
Date: Mon, 26 Feb 2001 09:27:35 -0500

The draft that defined Bye-Also is long expired.

New implementations should track the current work on transfer
in draft-ietf-sip-cc-transfer-nn.txt (-04 will be out today).

There was discussion at the interim meeting about capturing the
Bye-Also behavior in a historical draft.

RjS

> From: Sharath Rajasekar [mailto:[email-masked]]
> Sent: Saturday, February 24, 2001 3:08 PM
> To: [email-masked]
> Subject: [SIP] Bye-Also Draft ?
> 
> 
> 
> Hi,
>